cascading.flow.planner.rule.util

## Class TraceWriter

- java.lang.Object
- - cascading.flow.planner.rule.util.TraceWriter

-     public class TraceWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GREEN`
    `static java.lang.String` | `ORANGE`
    `static java.lang.String` | `RED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceWriter()`
    `TraceWriter(Flow flow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.nio.file.Path` | `getFullTransformTracePath(java.lang.String registryName)`
    `protected java.nio.file.Path` | `getPlanStatsPath()`
    `protected java.nio.file.Path` | `getPlanTracePath()`
    `protected java.nio.file.Path` | `getPlanTransformTracePath()`
    `boolean` | `isTransformTraceDisabled()`
    `boolean` | `isTransformTraceEnabled()`
    `void` | `writeFinal(java.lang.String fileName, RuleResult ruleResult)`
    `void` | `writeStats(PlannerContext plannerContext, RuleResult ruleResult)`
    `void` | `writeTracePlan(java.lang.String registryName, java.lang.String fileName, ElementGraph elementGraph)`
    `void` | `writeTracePlan(java.lang.String registryName, java.lang.String fileName, FlowStepGraph stepGraph)`
    `void` | `writeTracePlanSteps(java.lang.String directoryName, FlowStepGraph stepGraph)`
    `void` | `writeTransformPlan(java.lang.String registryName, FlowElementGraph flowElementGraph, java.lang.String name)`
    `void` | `writeTransformPlan(java.lang.String registryName, java.util.List<? extends ElementGraph> flowElementGraphs, PlanPhase phase, java.lang.String subName)`
    `void` | `writeTransformPlan(java.lang.String registryName, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> parentGraphsMap, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> subGraphsMap, PlanPhase phase, java.lang.String subName)`
    `void` | `writeTransformPlan(java.lang.String registryName, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> subGraphsMap, PlanPhase phase, java.lang.String subName)`
    `void` | `writeTransformPlan(java.lang.String registryName, PlanPhase phase, Rule rule, int[] ordinals, GraphResult graphResult)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GREEN

          public static final java.lang.String GREEN

      See Also:
        Constant Field Values

    - #### ORANGE

          public static final java.lang.String ORANGE

      See Also:
        Constant Field Values

    - #### RED

          public static final java.lang.String RED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TraceWriter

          public TraceWriter()

    - #### TraceWriter

          public TraceWriter(Flow flow)

  - ### Method Detail

    - #### getFullTransformTracePath

          protected java.nio.file.Path getFullTransformTracePath(java.lang.String registryName)

    - #### isTransformTraceEnabled

          public boolean isTransformTraceEnabled()

    - #### isTransformTraceDisabled

          public boolean isTransformTraceDisabled()

    - #### writeTransformPlan

          public void writeTransformPlan(java.lang.String registryName,
                                PlanPhase phase,
                                Rule rule,
                                int[] ordinals,
                                GraphResult graphResult)

    - #### writeTransformPlan

          public void writeTransformPlan(java.lang.String registryName,
                                FlowElementGraph flowElementGraph,
                                java.lang.String name)

    - #### writeTransformPlan

          public void writeTransformPlan(java.lang.String registryName,
                                java.util.List<? extends ElementGraph> flowElementGraphs,
                                PlanPhase phase,
                                java.lang.String subName)

    - #### writeTransformPlan

          public void writeTransformPlan(java.lang.String registryName,
                                java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> parentGraphsMap,
                                java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> subGraphsMap,
                                PlanPhase phase,
                                java.lang.String subName)

    - #### writeTransformPlan

          public void writeTransformPlan(java.lang.String registryName,
                                java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> subGraphsMap,
                                PlanPhase phase,
                                java.lang.String subName)

    - #### getPlanTracePath

          protected java.nio.file.Path getPlanTracePath()

    - #### getPlanTransformTracePath

          protected java.nio.file.Path getPlanTransformTracePath()

    - #### getPlanStatsPath

          protected java.nio.file.Path getPlanStatsPath()

    - #### writeTracePlan

          public void writeTracePlan(java.lang.String registryName,
                            java.lang.String fileName,
                            ElementGraph elementGraph)

    - #### writeTracePlan

          public void writeTracePlan(java.lang.String registryName,
                            java.lang.String fileName,
                            FlowStepGraph stepGraph)

    - #### writeTracePlanSteps

          public void writeTracePlanSteps(java.lang.String directoryName,
                                 FlowStepGraph stepGraph)

    - #### writeFinal

          public void writeFinal(java.lang.String fileName,
                        RuleResult ruleResult)

    - #### writeStats

          public void writeStats(PlannerContext plannerContext,
                        RuleResult ruleResult)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.